PHY_ETHTOOL_SSET(9)

NAME
phy_ethtool_sset - generic ethtool sset function, handles all the details

SYNOPSIS

int phy_ethtool_sset(struct phy_device * phydev, struct ethtool_cmd * cmd);

ARGUMENTS

phydev
    target phy_device struct

cmd
    ethtool_cmd

A FEW NOTES ABOUT PARAMETER CHECKING

- We don't set port or transceiver, so we don't care what they were set to. - phy_start_aneg will make sure forced settings are sane, and choose the next best ones from the ones selected, so we don't care if ethtool tries to give us bad values.

COPYRIGHT